# Locomotion of Drosophila melanogaster larvae in the absence of any experimental stimuli

## Summary
Groups of ~ 20 naive Drosophila melanogaster larvae (Canton S) were placed on agarose-filled Petri dishes of 15 cm diameter with no particular stimuli. Their behaviour was recorded from above for 3 min with 16 frames/s and tracked as described in [Paisios et al. 2017](https://doi.org/10.1101/lm.045). This data set contains # experiments and approx. # animals in total. For each experiment, it features a video with the recorded larvae, standardized meta data and individual csv files for each tracked animal. The provided data can be used to analyze basic locomotion and behaviour of Drosophila larvae, and to benchmark video-analysis tools. 

## Structure
Each individual experiment is saved in a separate folder with standardized names featuring the internal name of the used setup, the date and the time of the experiment. In the folder, individual csv files feature the information of tracked animals. Each csv-file has 78 coloumns and as many lines as there are frames recorded for the animal. 
Coloumn 0 is representing the number of the frame.
Coloumns 1-24 are the locations of the 12 spine points from rear to front (where the odds are x and even are y coordinates)
Coloumns 25-69 are the xa nd y coordinates of 22 contour points of the larva
Coloumn 70 and 71 are the x and y coordinates of the center
Coloumn 72 is the perimeter of the larva
Coloumn 73 is the area of the larva
Coloumn 74 is the length of the larva
Coloumn 75 is the width of the larva
Coloumn 76 is the average gray value of the larva
Coloumn 77 indicates whether the larva is freely moving (0) or in contact with other larvae, or the wall. It is highly recommended to only use the rows that have a 0 in this coloumn.

Coordinates are in mm, with the center of the video set to 0,0. Length, width, perimeter and area are given in pixel. 

Each experiment has a subfolder that contains the annotated video of the experiment as well as standardized meta data files that gives some basic information of the experiment. The video indicates the head, tail and contour of each detected larva togeher with its ID which is identical with the number of its csv file.
The meta data files are:
CMD: the list of arguments used by the tracking program to track the video.
metadata.txt: a list of basic features of the experiment used internally by our setup. Can be ignored when using the data.

## Related publications
Thane M, Viswanathan V, Meyer TC, Paisios E, Schleyer M. 2019. Modulations of microbehaviour by associative memory strength in Drosophila larvae. PloS One 14: e0224154.  https://doi.org/10.1371/journal.pone.0224154

Paisios E, Rjosk A, Pamir E, Schleyer M. 2017. Common microbehavioural 'footprint' of two distinct classes of conditioned aversion. Learn Mem 24:191-198. https://doi.org/10.1101/lm.045062.117